diff --git a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.theme.inc b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.theme.inc
index 62bb582f..c5000016 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.theme.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.theme.inc
@@ -2,8 +2,7 @@
 
 /**
  * @file
- * theming functions for ldap_query module
- *
+ * Theming functions for ldap_query module.
  */
 
 /**
@@ -11,37 +10,40 @@
  *
  * @param $variables
  *   An associative array containing:
- *   - ldap_query: an array of one or more ldap server configurations.
+ *   - ldap_queries: an array of one or more ldap server configurations.
  *   - actions:  true or false indicating include update, delete, etc. links
  *   - type:  'table', 'list', etc for style to render
  *
  * @ingroup themeable
  */
 function theme_ldap_query_list($variables) {
+  /** @var array $ldap_queries */
+  /** @var bool $actions */
+  /** @var string $type */
   extract($variables);
 
-  $table = array(
-    'header' => array(t('Name'), t('Base DN'), t('Filter'), t('Attributes'), t('Enabled')),
-    'attributes' => array('id' => 'ldap_queries', 'class' => 'data'),
-    'colgroups' => array(),
+  $table = [
+    'header' => [t('Name'), t('Base DN'), t('Filter'), t('Attributes'), t('Enabled')],
+    'attributes' => ['id' => 'ldap_queries', 'class' => 'data'],
+    'colgroups' => [],
     'sticky' => FALSE,
     'empty' => '',
     'caption' => 'LDAP Queries',
-  );
+  ];
 
   if ($actions) {
     $table['header'][] = "Operations";
   }
 
   if (count($ldap_queries)) {
-    foreach ($ldap_queries as $qid => $ldap_query ) {
-      $row = array(
+    foreach ($ldap_queries as $qid => $ldap_query) {
+      $row = [
         $ldap_query->name,
         $ldap_query->base_dn_str,
         $ldap_query->filter,
         $ldap_query->attributes_str,
         ($ldap_query->status == 1) ? "Yes" : "No",
-      );
+      ];
       if ($actions) {
         $admin = new LdapQueryAdmin($ldap_query->qid);
         $row[] = join(' | ', $admin->getActions());
@@ -50,7 +52,7 @@ function theme_ldap_query_list($variables) {
     }
   }
   else {
-    $table['rows'] = array();
+    $table['rows'] = [];
   }
   $output = theme('table', $table);
 
@@ -67,18 +69,21 @@ function theme_ldap_query_list($variables) {
  *   - type:  'table', 'list', etc for style to render
  *
  * @ingroup themeable
+ *
+ * @return string
  */
-
 function theme_ldap_query($variables) {
-
-  extract($variables);  // $ldap_query, $actions, $type (see above)
+  /** @var array $ldap_query */
+  /** @var bool $actions */
+  /** @var string $type */
+  extract($variables);
 
   ldap_servers_module_load_include('php', 'ldap_query', 'LdapQuery.class');
-  $properties = array();
+  $properties = [];
   foreach (LdapQuery::fields() as $field_id => $field) {
     $value = $ldap_query->{$field['property_name']};
     if (is_scalar($value)) {
-      $properties[] = $field_id . " = " . $value; // $value";
+      $properties[] = $field_id . " = " . $value;
     }
   }
 
@@ -88,39 +93,49 @@ function theme_ldap_query($variables) {
   }
 
   $output = theme_item_list(
-    array(
+    [
       'items' => $properties,
       'type' => 'ul',
       'title' => 'Query Properties',
-      'attributes' => array()
-      )
+      'attributes' => [],
+    ]
     );
 
   return $output;
 }
 
+/**
+ * @param $variables
+ *
+ * @return string
+ */
 function theme_ldap_query_results($variables) {
-  extract($variables);  // $ldap_query, $results, $show_query
+  // $ldap_query, $results, $show_query.
+  /** @var array $ldap_query */
+  /** @var array $results */
+  /** @var mixed $show_query */
+  extract($variables);
 
-  $query = theme('ldap_query', array('ldap_query' => $ldap_query));
-  $results_text = t('LDAP Query Results: count=%count', array('%count' => $results['count']));
+  $query = theme('ldap_query', ['ldap_query' => $ldap_query]);
+  $results_text = t('LDAP Query Results: count=%count', ['%count' => $results['count']]);
 
   if (!$results['count']) {
     return $query . '<br/>' . $results_text;
   }
 
-  $table = array(
-    'header' => array('DN'),
-    'attributes' => array('id' => 'ldap_query_resultset', 'class' => 'data'),
-    'colgroups' => array(),
+  $table = [
+    'header' => ['DN'],
+    'attributes' => ['id' => 'ldap_query_resultset', 'class' => 'data'],
+    'colgroups' => [],
     'sticky' => FALSE,
     'empty' => '',
     'caption' => $results_text,
-  );
+  ];
   unset($results['count']);
 
-  $attributes_display = array();
-  if (isset($results[0]) && $results[0]) { // searching on all attributes
+  $attributes_display = [];
+  // Searching on all attributes.
+  if (isset($results[0]) && $results[0]) {
     foreach ($results[0] as $k => $v) {
       if (is_numeric($k)) {
         $attributes_display[] = $v;
@@ -128,15 +143,15 @@ function theme_ldap_query_results($variables) {
     }
   }
 
-
   foreach ($attributes_display as $attr) {
     $table['header'][] = $attr;
   }
 
   foreach ($results as $i => $entry) {
-    $row = array($entry['dn']);
+    $row = [$entry['dn']];
     foreach ($attributes_display as $i => $attr_name) {
-      $attr_name = ldap_server_massage_text($attr_name, 'attr_name', LDAP_SERVER_MASSAGE_QUERY_ARRAY); // drupal_strtolower($attr_name);
+      // drupal_strtolower($attr_name);
+      $attr_name = ldap_server_massage_text($attr_name, 'attr_name', LDAP_SERVER_MASSAGE_QUERY_ARRAY);
       if (!isset($entry[$attr_name])) {
         $row[] = 'no data';
       }
@@ -147,8 +162,6 @@ function theme_ldap_query_results($variables) {
       else {
         $row[] = $entry[$attr_name];
       }
-    //  unset($attr_data['count']);
-
     }
     unset($entry['count']);
     $table['rows'][] = $row;
